### Method

# GUPnP ServiceIntrospection list_state_variables

#### Declaration [src]

    const GList*
    gupnp_service_introspection_list_state_variables (
      GUPnPServiceIntrospection* introspection
    )

#### Description [src]

Returns a GList of all the state variables (of type `GUPnPServiceStateVariableInfo`) in this service.

#### Return value

Type: A list of `const GUPnPServiceStateVariableInfo*`

A `GList` of all the state variables or `NULL`. Do not modify or free it or its contents.

The returned data is owned by the instance.